package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrSafetyBreath;

/**
 * 安全设施-呼吸阀Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrSafetyBreathService 
{
    /**
     * 查询安全设施-呼吸阀
     * 
     * @param id 安全设施-呼吸阀ID
     * @return 安全设施-呼吸阀
     */
    public TPssrSafetyBreath selectTPssrSafetyBreathById(Long id);

    /**
     * 查询安全设施-呼吸阀列表
     * 
     * @param tPssrSafetyBreath 安全设施-呼吸阀
     * @return 安全设施-呼吸阀集合
     */
    public List<TPssrSafetyBreath> selectTPssrSafetyBreathList(TPssrSafetyBreath tPssrSafetyBreath);

    /**
     * 新增安全设施-呼吸阀
     * 
     * @param tPssrSafetyBreath 安全设施-呼吸阀
     * @return 结果
     */
    public int insertTPssrSafetyBreath(TPssrSafetyBreath tPssrSafetyBreath);

    /**
     * 修改安全设施-呼吸阀
     * 
     * @param tPssrSafetyBreath 安全设施-呼吸阀
     * @return 结果
     */
    public int updateTPssrSafetyBreath(TPssrSafetyBreath tPssrSafetyBreath);
    public int updateAllBySubId(TPssrSafetyBreath tPssrSafetyBreath);

    /**
     * 批量删除安全设施-呼吸阀
     * 
     * @param ids 需要删除的安全设施-呼吸阀ID
     * @return 结果
     */
    public int deleteTPssrSafetyBreathByIds(Long[] ids);

    /**
     * 删除安全设施-呼吸阀信息
     * 
     * @param id 安全设施-呼吸阀ID
     * @return 结果
     */
    public int deleteTPssrSafetyBreathById(Long id);
}
